Standalone backup agent for Linux servers and workstations on-premises or in the public cloud
Post Reply
andyman3000
Influencer
Posts: 18
Liked: 1 time
Joined: Nov 30, 2017 5:46 pm
Full Name: Andy Perkins
Contact:

Oracle Unbreakable Linux Kernel 4.1.12-94.8.5.el6uek.x86_64

Post by andyman3000 » Feb 11, 2019 10:17 pm

Our Linux admin installed Oracle Linux 6 Agent x64 from https://www.veeam.com/linux-backup-download.html -- I authenticated to Agent via VBR 9.5 u3 and scheduled a job

The job fails with this warning Processing server Error: Version '2' of Agent for Linux protocol is not supported.

Thinking maybe the Agent was out of date we ran an update:

20190211-155928 root@server ~ $ yum update veeam
Setting up Update Process
No Packages marked for Update
20190211-155935 root@server ~ $ yum update veeam*
Setting up Update Process
No Packages marked for Update
20190211-155943 root@server ~ $ yum update vee*
Setting up Update Process
No Packages marked for Update
20190211-155949 root@server ~ $ rpm -qa | grep veeam
veeam-release-el6-1.0.5-1.x86_64
veeam-3.0.0.865-1.el6.x86_64
kmod-veeamsnap-3.0.0.865-2.6.32_131.0.15.el6.x86_64
20190211-160005 root@ethoudbp01vm01 ~ $

Thinking maybe the wrong agent version was installed, Linux admin uninstalled,.. and I attempted to push from VBR console to see


2/11/2019 4:10:26 PM Job started at 2/11/2019 4:10:25 PM
2/11/2019 4:10:26 PM Performing rescan
2/11/2019 4:10:26 PM Processing server
2/11/2019 4:10:28 PM Rescan for server completed
2/11/2019 4:10:29 PM [server] Installing Veeam Agent for Linux
2/11/2019 4:10:30 PM Error [server] Failed to install Linux kernel headers: Error: Nothing to do
2/11/2019 4:10:30 PM Error [server] Failed to install Veeam Agent for Linux: Error: Nothing to do
2/11/2019 4:10:36 PM 1 host processed


Came across this post veeam-agent-for-linux-f41/can-t-install ... 39352.html , and Linux admin is asking if there's anything supporting "Oracle Unbreakable Linux Kernel 4.1.12-94.8.5.el6uek.x86_64"

Side note -- These are oracle cloud ExaCC vm's

Thought I'd ask the question, before moving to support.

Thanks,
Andy

andyman3000
Influencer
Posts: 18
Liked: 1 time
Joined: Nov 30, 2017 5:46 pm
Full Name: Andy Perkins
Contact:

Re: Oracle Unbreakable Linux Kernel 4.1.12-94.8.5.el6uek.x86_64

Post by andyman3000 » Feb 11, 2019 10:18 pm

Case #03409988 was created.

PTide
Product Manager
Posts: 4876
Liked: 409 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: Oracle Unbreakable Linux Kernel 4.1.12-94.8.5.el6uek.x86_64

Post by PTide » Feb 11, 2019 10:34 pm

Hi,

Tha latest Linux Agent does not support backup to VBR U3a, you need to update VBR to U4 first.

Regarding the installation error - please make sure that you have proper kernel-headers installed, or a repository where those headers can be obtained from can be reached by the host.

I've also noticed that you have this line in the log:

Code: Select all

kmod-veeamsnap-3.0.0.865-2.6.32_131.0.15.el6.x86_64
That means that you installed a precompiled kmod version of veeamsnap module which is not supported for Oracle Linux, please install dkms version instead (veeamsnap-3.0.0.865-1.noarch.rpm).

Thanks!

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests